function $(id) {
    return document.getElementById(id);
}
window.onload = function () {
  $('btnText').onclick = text;
  $('btnJSON').onclick = json;
  $('btnHTML').onclick = html;
  $('btnXML').onclick = xml;
  $('btnScript').onclick = script;
  $('btnPHP').onclick = php;
}
function lista(t) {
	return '<ul><li>' + t.join('</li><li>') + '</li></ul>'; 
}
function text() {
	ajax({
		url: 'gyumolcs.txt',
		success: function (xhr, text) {
			console.log(text);
			var t = text.split(',');
			$('output').innerHTML = (new Date()).toLocaleString() + lista(t);
		}
	});
}
function json() {
	ajax({
		url: 'gyumolcs.json',
		success: function (xhr, text) {
			// var json = eval(text);
			var json = JSON.parse(text);
			console.log(json);
			$('output').innerHTML = (new Date()).toLocaleString() + lista(json);
		}
	});	
}
function html() {
	ajax({
		url: 'gyumolcs.html',
		success: function (xhr, text) {
			var html = text;
			console.log(html);
			$('output').innerHTML = (new Date()).toLocaleString() + html;
		}
	});	
}
function xml() {
	ajax({
		url: 'gyumolcs.xml',
		success: function (xhr, text) {
			var xmldom = xhr.responseXML;
			console.log(xmldom);

			var gyumolcsok = xmldom.getElementsByTagName('gyumolcs');
			var t = [];
			for (var i = 0; i < gyumolcsok.length; i++) {
				t.push(gyumolcsok[i].firstChild.nodeValue);
			};

			$('output').innerHTML = (new Date()).toLocaleString() + lista(t);
		}
	});	
}
function script() {
	ajax({
		url: 'gyumolcs.js',
		success: function (xhr, text) {
			console.log(text);
			eval(text);
			var t = getGyumolcsok();
			$('output').innerHTML = (new Date()).toLocaleString() + lista(t);
		}
	});	
}
function php() {
	ajax({
		url: 'gyumolcs.php',
		success: function (xhr, text) {
			var json = JSON.parse(text);
			console.log(json);
			$('output').innerHTML = (new Date()).toLocaleString() + lista(json);
		}
	});	
}

